
Name: 		qpid-java
Version: 	0.5.751061
Release: 	7%{?dist}
Epoch:		0
Summary: 	Java implementation of Apache Qpid
License: 	Apache Software License
Group: 		Development/Java
URL: 		http://incubator.apache.org/qpid
# See fetch-new-tarballs script
Source0: 	%{name}-%{version}.tar.gz
Source1:	gentools-%{version}.tar.gz
Source2:	specs-%{version}.tar.gz
Source3:	python-%{version}.tar.gz
Patch0:         bz494630.patch
Patch1:         bz501552.patch
Patch2:         bz500146.patch
Patch3:		bz503526.patch
Patch4:		bz503539.patch
Patch5:         bz504590.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

BuildRequires:	ant >= 1.6.5
BuildRequires:	ant-nodeps >= 1.6.5
BuildRequires:  java-devel >= 1.6.0
#BuildRequires:  subversion

Requires: 	jakarta-commons-codec
Requires: 	jakarta-commons-lang
Requires: 	jakarta-commons-logging 
Requires: 	xalan-j2

%description
Java implementation of Apache Qpid.

%prep
%setup -q
%setup -q -T -D -b 1 -n gentools
%setup -q -T -D -b 2 -n specs
%setup -q -T -D -b 3 -n python
cd ..
cd %{name}-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
cd ..
cd %{name}-%{version}
ant -Dmodules="junit-toolkit common broker client management/client" || ant -Dmodules="junit-toolkit common broker client management/client"
# add "test" target
rm build/bin/*.bat

# blacklisted jars are provided by the Requires:
BLACKLIST="commons-codec commons-lang commons-logging xalan"
for jar in $BLACKLIST; do rm build/lib/${jar}*.jar; done

%install
rm -rf $RPM_BUILD_ROOT
cd ..
# bin
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 %{name}-%{version}/build/bin/qpid* %{buildroot}%{_bindir}
install -p -m 755 %{name}-%{version}/build/bin/qman-jmx.sh %{buildroot}%{_bindir}

# jars
install -d -m 755 %{buildroot}%{_javadir}
rm %{name}-%{version}/build/lib/qpid-junit-toolkit*.jar
install -p -m 755 %{name}-%{version}/build/lib/qpid-*.jar \
  %{buildroot}%{_javadir}
install -p -m 755 %{name}-%{version}/build/etc/qman.log4j %{buildroot}%{_javadir}

# additional dependencies
install -d -m 755 %{buildroot}%{_javadir}/qpid-deps
install -p -m 755 $(find %{name}-%{version}/build/lib/ -name '*.jar' \
  ! -name 'qpid*.jar') %{buildroot}%{_javadir}/qpid-deps

# config
install -d -m 755 %{buildroot}%{name}/etc
install -p -m 755 %{name}-%{version}/build/etc/* %{buildroot}%{name}/etc
install -d -m 755 %{buildroot}%{_sysconfdir}
install -p -m 755 %{name}-%{version}/build/etc/qman-config.xml  %{buildroot}%{_sysconfdir}

#doc
install -d -m 755 %{buildroot}%{_mandir}/man1
install -p -m 755 %{name}-%{version}/management/client/doc/man/qman-jmx %{buildroot}%{_mandir}/man1/qman-jmx.1.gz

# javadoc
#install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}

# java broker cleanup
rm  %{buildroot}/usr/bin/qpid-passwd
rm  %{buildroot}/usr/bin/qpid-run
rm  %{buildroot}/usr/bin/qpid-server
rm  %{buildroot}/usr/bin/qpid.start
rm  %{buildroot}/usr/bin/qpid.stop
rm  %{buildroot}/usr/bin/qpid.stopall
rm  %{buildroot}/usr/share/java/qpid-broker-*.jar

%clean
rm -rf $RPM_BUILD_ROOT


%package common
Summary:	Java implementation of Apache Qpid - common
Group: 		Development/Java
BuildArch:	noarch

Requires: 	jakarta-commons-codec
Requires: 	jakarta-commons-lang
Requires: 	jakarta-commons-logging 
Requires: 	xalan-j2

%description common
Java implementation of Apache Qpid - common

%files common
%defattr(-,root,root,-)
%{_javadir}/qpid-deps
%{_javadir}/qpid-common-*.jar
%{_javadir}/qpid-all.jar
%doc


%package client
Summary:	Java implementation of Apache Qpid - client
Group: 		Development/Java
BuildArch:	noarch

Requires:	qpid-java-common = %{version}-%{release}

%description client
Java implementation of Apache Qpid - client

%files client
%defattr(-,root,root,-)
%{_javadir}/qpid-client-*.jar
%doc

%package qman
Summary:        Java implementation of Apache Qpid - client
Group:          Development/Java
BuildArch:      noarch

Requires:       qpid-java-common = %{version}-%{release}
Requires:       qpid-java-client = %{version}-%{release}

%description qman
Java implementation of Apache Qpid mangement tool that maps AMQP management info in to JMX readable format.

%files qman
%defattr(-,root,root,-)
%{_javadir}/qpid-management-client-*.jar
%{_javadir}/qman.log4j
%_bindir/qman-jmx.sh
%config(noreplace) %_sysconfdir/qman-config.xml
%doc %_mandir/man1/qman-jmx.1.gz

%changelog
* Mon Jun  8 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.5.751061-7
- Applying the heartbeat echo patch from bz504590

* Thu Jun 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-6
- Applying the modified patch attached to bz503539

* Wed Jun 03 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-5
- Applying patch attached to bz503526
- Applying patch attached to bz503539

* Thu May 21 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-4
- Fixed an error in the spec file to apply all patches correctly

* Wed May 20 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-3
- Applying patch attached to bz500146
- Applying patch attached to bz501552

* Wed Apr 8 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-2
- Going back to revision 751061 of Qpid trunk
- Applying patch attached to bz494630

* Fri Mar 27 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.758820-1
- Updated to revision 758820 of the Qpid trunk

* Thu Mar 12 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-1
- Updated to revision 751061 of the Qpid trunk

* Wed Mar 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.750205-1
- Updated to revision 750205 of the Qpid trunk

* Fri Feb 13 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.743367-1
- Updated to revision 743367 of the Qpid trunk

* Mon Feb 09 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.742278-1
- Updated to revision 742278 of the Qpid trunk

* Wed Jan 28 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.738568-1
- Updated to revision 738568 of the Qpid trunk
- Removed thread patch as it's comitted to trunk

* Fri Jan 9 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.733043-2
- Updated to revision 733043 of the Qpid M4-RCs branch

* Mon Nov 19 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.724504-1
- Updated to revision 724504 of the qpid trunk
- Added the Qman package
- Applied the thread abstraction patch

* Mon Nov 10 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.712662-1
- Updated to revision 712662 of the qpid trunk

* Fri Oct 31 2008 Nuno Santos <nsantos@redhat.com> - 0:0.3.709187-1
- Rebased to svn rev 709187

* Mon Oct 28 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.708221-1
- Updated to revision 708221 of the qpid trunk

* Fri Aug 25 2008 Justin Ross <jross@redhat.com> - 0:0.2.687156-1
- Updated to revision 687156 of the qpid.0-10 branch

* Fri Aug 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.686136-1
- Updated to revision 686136 of the qpid.0-10 branch

* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0:0.2.668333-1
- Updated to source revision 668333

* Fri Jun 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.667615-1
- Updated to source revision 667615

* Mon Jun 11 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.666296-2
- Updated common dep and removed package broker

* Mon Jun 10 2008 Justin Ross <jross@redhat.com> - 0:0.2.666296-1
- Updated to source revision 666296

* Mon Jun 9 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.665769-1
- Updated to source revision 665769

* Thu May 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.656760-1
- Updated source tarballs instructions
- Added svn revision number to version
- Updated to source revision 656760

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-11
- changed version for solving version conflic

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-10
- changed some default network configuration 

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-9
- Bumped release for Beta 4

* Fri Feb 15 2008  Rafael Schloming <rafaels@redhat.com> - 0:0.2-9
- fix for deadlock exposed by TCK

* Wed Feb 13 2008  Rafael Schloming <rafaels@redhat.com> - 0:0.2-8
- More bug fixes for Beta 3

* Tue Feb 12 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-7
- Bumped release for Beta 3 bug fixes

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-6
- Bumped release for Beta 3

* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Initial build.

